### Function

# Gimp ConfigInterface param_spec_duplicate

#### Declaration [src]

    GParamSpec*
    gimp_config_param_spec_duplicate (
      GParamSpec* pspec
    )

#### Description [src]

Creates an exact copy of `pspec`, with all its properties, returns `NULL` if `pspec` is of an unknown type that can’t be duplicated.

Available since: | 3.0

#### Parameters

`pspec` | `GParamSpec`
| The `GParamSpec` to duplicate.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GParamSpec`
| The new `GParamSpec`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.